## Copyright (C) 2008 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by the
## Free Software Foundation; either version 3, or (at your option) any
## later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
REQUIRED_AUTOMAKE_VERSION=1.8
PKG_NAME=mu

(test -f $srcdir/configure.ac && test -f $srcdir/app/mu-app.c) || {
    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
    echo " top-level $PKG_NAME directory"
    exit 1
}

echo "* running autoheader..."
autoheader || exit 1

echo "* running libtoolize..."
libtoolize --force || exit 1

echo "* running aclocal..."
aclocal || exit 1

echo "* running automake..."
automake --add-missing || exit 1

echo "* running autoconf..."
autoconf  || exit 1

echo "* configuring $PKG_NAME with $@"
./configure $@
